## GtkItemEntry

GtkItemEntry

## Synopsis

    #include <gtkextra.h>

    GtkWidget*          gtk_item_entry_new                  (void);
    GtkWidget*          gtk_item_entry_new_with_max_length  (gint max);
    void                gtk_item_entry_set_text             (GtkItemEntry *item_entry,
                                                             const gchar *text,
                                                             GtkJustification justification);
    void                gtk_item_entry_set_justification    (GtkItemEntry *item_entry,
                                                             GtkJustification justification);
    void                gtk_item_entry_set_cursor_visible   (GtkItemEntry *entry,
                                                             gboolean visible);
    gboolean            gtk_item_entry_get_cursor_visible   (GtkItemEntry *entry);

## Description

## Details

### gtk_item_entry_new ()

    GtkWidget*          gtk_item_entry_new                  (void);

Returns : |

### gtk_item_entry_new_with_max_length ()

    GtkWidget*          gtk_item_entry_new_with_max_length  (gint max);

`max` : |
Returns : |

### gtk_item_entry_set_text ()

    void                gtk_item_entry_set_text             (GtkItemEntry *item_entry,
                                                             const gchar *text,
                                                             GtkJustification justification);

`item_entry` : |
`text` : |
`justification` : |

### gtk_item_entry_set_justification ()

    void                gtk_item_entry_set_justification    (GtkItemEntry *item_entry,
                                                             GtkJustification justification);

`item_entry` : |
`justification` : |

### gtk_item_entry_set_cursor_visible ()

    void                gtk_item_entry_set_cursor_visible   (GtkItemEntry *entry,
                                                             gboolean visible);

`entry` : |
`visible` : |

### gtk_item_entry_get_cursor_visible ()

    gboolean            gtk_item_entry_get_cursor_visible   (GtkItemEntry *entry);

`entry` : |
Returns : |